RESTinio

Functions
restinio::router::easy_parser_router::impl::path_to_params_details Namespace Reference

## Functions
template<typename F , typename Extra_Data , typename Tuple , std::size_t... Indexes>
decltype(auto) | call_with_tuple_impl (F &&what, const generic_request_handle_t< Extra_Data > &req, Tuple &&params, std::index_sequence< Indexes... >)
template<typename F , typename Extra_Data , typename Tuple >
decltype(auto) | call_with_tuple (F &&what, const generic_request_handle_t< Extra_Data > &req, Tuple &&params)
| A helper function to call a request-handler with a tuple. More...

## Function Documentation

## ◆ call_with_tuple()

template<typename F , typename Extra_Data , typename Tuple >

decltype(auto) restinio::router::easy_parser_router::impl::path_to_params_details::call_with_tuple | ( | F && | what,
|  | const generic_request_handle_t< Extra_Data > & | req,
|  | Tuple && | params
| ) |  |

A helper function to call a request-handler with a tuple.

This helper passes every item of a tuple as a separate parameter.

Since
  v.0.6.6

Definition at line 594 of file easy_parser_router.hpp.

## ◆ call_with_tuple_impl()

template<typename F , typename Extra_Data , typename Tuple , std::size_t... Indexes>

decltype(auto) restinio::router::easy_parser_router::impl::path_to_params_details::call_with_tuple_impl | ( | F && | what,
|  | const generic_request_handle_t< Extra_Data > & | req,
|  | Tuple && | params,
|  | std::index_sequence< Indexes... > |
| ) |  |

Definition at line 571 of file easy_parser_router.hpp.